<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|ARM">
      <Configuration>Debug</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM">
      <Configuration>Release</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x86">
      <Configuration>Debug</Configuration>
      <Platform>x86</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x86">
      <Configuration>Release</Configuration>
      <Platform>x86</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{8492d63f-6800-439e-8fc1-42031b90f00f}</ProjectGuid>
    <Keyword>Linux</Keyword>
    <RootNamespace>Framework_Linux</RootNamespace>
    <MinimumVisualStudioVersion>15.0</MinimumVisualStudioVersion>
    <ApplicationType>Linux</ApplicationType>
    <ApplicationTypeRevision>1.0</ApplicationTypeRevision>
    <TargetLinuxPlatform>Generic</TargetLinuxPlatform>
    <LinuxProjectType>{D51BCBC9-82E9-4017-911E-C93873C4EA2B}</LinuxProjectType>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'" Label="Configuration">
    <UseDebugLibraries>true</UseDebugLibraries>
    <ConfigurationType>StaticLibrary</ConfigurationType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'" Label="Configuration">
    <UseDebugLibraries>false</UseDebugLibraries>
    <ConfigurationType>DynamicLibrary</ConfigurationType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'" Label="Configuration">
    <UseDebugLibraries>true</UseDebugLibraries>
    <ConfigurationType>StaticLibrary</ConfigurationType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'" Label="Configuration">
    <UseDebugLibraries>false</UseDebugLibraries>
    <ConfigurationType>DynamicLibrary</ConfigurationType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <UseDebugLibraries>true</UseDebugLibraries>
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <RemoteRootDir>/home/kolja/projects</RemoteRootDir>
    <RemoteProjectRelDir>/home/kolja/projects/Framework/debug/</RemoteProjectRelDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <UseDebugLibraries>false</UseDebugLibraries>
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <RemoteRootDir>/home/kolja/projects</RemoteRootDir>
    <RemoteProjectRelDir>/home/kolja/projects/Framework/release/</RemoteProjectRelDir>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" />
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
    <TargetExt>.so</TargetExt>
    <RemoteProjectDir>$(RemoteRootDir)/Framework</RemoteProjectDir>
    <TargetName>libdbg$(ProjectName)</TargetName>
    <IncludePath>D:\Visual Studio 2017\Common7\IDE\VC\Linux\include\usr\include\c++\5;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <TargetExt>.so</TargetExt>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <TargetExt>.so</TargetExt>
    <RemoteProjectDir>$(RemoteRootDir)/Framework/debug</RemoteProjectDir>
    <TargetName>libdbgFramework</TargetName>
    <IncludePath>$(IncludePath)</IncludePath>
    <OutDir>/home/kolja/projects/Framework/debug/</OutDir>
    <IntDir>/home/kolja/projects/Framework/debug/</IntDir>
    <RemoteTargetPath>$(RemoteProjectDir)/$(TargetName)$(TargetExt)</RemoteTargetPath>
    <RemoteLinkLocalCopyOutput>true</RemoteLinkLocalCopyOutput>
    <RemoteIntRelDir>/home/kolja/projects/Framework/debug/</RemoteIntRelDir>
    <RemoteOutRelDir>/home/kolja/projects/Framework/debug/</RemoteOutRelDir>
    <RemoteDeployDir>/home/kolja/projects/Framework/debug/</RemoteDeployDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <TargetExt>.so</TargetExt>
    <RemoteProjectDir>$(RemoteRootDir)/Framework/release</RemoteProjectDir>
    <TargetName>libFramework</TargetName>
    <OutDir>$(RemoteRootDir)/Framework/release/</OutDir>
    <IntDir>$(RemoteRootDir)/Framework/release/</IntDir>
    <RemoteTargetPath>$(RemoteProjectDir)/$(TargetName)$(TargetExt)</RemoteTargetPath>
    <RemoteIntRelDir>/home/kolja/projects/Framework/release/</RemoteIntRelDir>
    <RemoteOutRelDir>/home/kolja/projects/Framework/release/</RemoteOutRelDir>
    <RemoteDeployDir>/home/kolja/projects/Framework/release/</RemoteDeployDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <TargetExt>.so</TargetExt>
    <RemoteProjectDir>$(RemoteRootDir)/Framework</RemoteProjectDir>
    <TargetName>libdbg$(ProjectName)</TargetName>
    <IncludePath>D:\Visual Studio 2017\Common7\IDE\VC\Linux\include\usr\include\c++\5;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <TargetExt>.so</TargetExt>
  </PropertyGroup>
  <ItemGroup>
    <ClCompile Include="AbstractElement.cpp" />
    <ClCompile Include="AlphaField.cpp" />
    <ClCompile Include="Animation.cpp" />
    <ClCompile Include="Animation3D.cpp" />
    <ClCompile Include="Assembly.cpp" />
    <ClCompile Include="AsynchronCall.cpp" />
    <ClCompile Include="DataValidator.cpp" />
    <ClCompile Include="SelectionBox.cpp" />
    <ClCompile Include="Base64.cpp" />
    <ClCompile Include="Image.cpp" />
    <ClCompile Include="Screen.cpp" />
    <ClCompile Include="Console.cpp" />
    <ClCompile Include="Critical.cpp" />
    <ClCompile Include="Cube.cpp" />
    <ClCompile Include="File.cpp" />
    <ClCompile Include="FileSystem.cpp" />
    <ClCompile Include="Diagram.cpp" />
    <ClCompile Include="DLLRegister.cpp" />
    <ClCompile Include="DXBuffer.cpp" />
    <ClCompile Include="Errors.cpp" />
    <ClCompile Include="Timer.cpp" />
    <ClCompile Include="Window.cpp" />
    <ClCompile Include="Progress.cpp" />
    <ClCompile Include="Global.cpp" />
    <ClCompile Include="GraphicsApi.cpp" />
    <ClCompile Include="InitFile.cpp" />
    <ClCompile Include="InMemoryBuffer.cpp" />
    <ClCompile Include="JSON.cpp" />
    <ClCompile Include="Camera2D.cpp" />
    <ClCompile Include="Key.cpp" />
    <ClCompile Include="Button.cpp" />
    <ClCompile Include="KSGTFile.cpp" />
    <ClCompile Include="List.cpp" />
    <ClCompile Include="Logging.cpp" />
    <ClCompile Include="M2File.cpp" />
    <ClCompile Include="M2DPreview.cpp" />
    <ClCompile Include="M3File.cpp" />
    <ClCompile Include="MouseEvent.cpp" />
    <ClCompile Include="Model2D.cpp" />
    <ClCompile Include="Model3D.cpp" />
    <ClCompile Include="Model3DCollection.cpp" />
    <ClCompile Include="Model3DList.cpp" />
    <ClCompile Include="ObjFile.cpp" />
    <ClCompile Include="Process.cpp" />
    <ClCompile Include="Point.cpp" />
    <ClCompile Include="Border.cpp" />
    <ClCompile Include="Random.cpp" />
    <ClInclude Include="AbstractElement.h" />
    <ClInclude Include="Assembly.h" />
    <ClInclude Include="Console.h" />
    <ClInclude Include="DataValidator.h" />
    <ClInclude Include="Iterator.h" />
    <ClInclude Include="Logging.h" />
    <ClInclude Include="RCPointer.h" />
    <ClCompile Include="Reader.cpp" />
    <ClCompile Include="ReferenceCounter.cpp" />
    <ClCompile Include="Regex.cpp" />
    <ClCompile Include="Font.cpp" />
    <ClCompile Include="Scroll.cpp" />
    <ClCompile Include="Table.cpp" />
    <ClCompile Include="KeyboardEvent.cpp" />
    <ClCompile Include="Text.cpp" />
    <ClCompile Include="TextField.cpp" />
    <ClCompile Include="Texture.cpp" />
    <ClCompile Include="Texture2D.cpp" />
    <ClCompile Include="TextureList.cpp" />
    <ClCompile Include="TextureModel.cpp" />
    <ClCompile Include="Thread.cpp" />
    <ClCompile Include="ToolTip.cpp" />
    <ClCompile Include="UIInitialization.cpp" />
    <ClCompile Include="UIMLView.cpp" />
    <ClCompile Include="World2D.cpp" />
    <ClCompile Include="World3D.cpp" />
    <ClCompile Include="Writer.cpp" />
    <ClCompile Include="XML.cpp" />
    <ClCompile Include="Drawing.cpp" />
    <ClCompile Include="Drawing3D.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="AlphaField.h" />
    <ClInclude Include="Animation.h" />
    <ClInclude Include="Animation3D.h" />
    <ClInclude Include="Array.h" />
    <ClInclude Include="AsynchronCall.h" />
    <ClInclude Include="SelectionBox.h" />
    <ClInclude Include="Base64.h" />
    <ClInclude Include="OperatingSystem.h" />
    <ClInclude Include="Image.h" />
    <ClInclude Include="Screen.h" />
    <ClInclude Include="Cache.h" />
    <ClInclude Include="CharMap.h" />
    <ClInclude Include="Critical.h" />
    <ClInclude Include="Cube.h" />
    <ClInclude Include="File.h" />
    <ClInclude Include="FileSystem.h" />
    <ClInclude Include="Diagram.h" />
    <ClInclude Include="DLLRegister.h" />
    <ClInclude Include="Stack.h" />
    <ClInclude Include="Timer.h" />
    <ClInclude Include="TriangleList.h" />
    <ClInclude Include="DXBuffer.h" />
    <ClInclude Include="Plane3D.h" />
    <ClInclude Include="Either.h" />
    <ClInclude Include="Errors.h" />
    <ClInclude Include="Window.h" />
    <ClInclude Include="Progress.h" />
    <ClInclude Include="FrameworkMath.h" />
    <ClInclude Include="Globals.h" />
    <ClInclude Include="GraphicsApi.h" />
    <ClInclude Include="HashMap.h" />
    <ClInclude Include="ImmutablePair.h" />
    <ClInclude Include="InitFile.h" />
    <ClInclude Include="InMemoryBuffer.h" />
    <ClInclude Include="JSON.h" />
    <ClInclude Include="Camera2D.h" />
    <ClInclude Include="Key.h" />
    <ClInclude Include="Button.h" />
    <ClInclude Include="KSGTFile.h" />
    <ClInclude Include="List.h" />
    <ClInclude Include="M2File.h" />
    <ClInclude Include="M2DPreview.h" />
    <ClInclude Include="M3File.h" />
    <ClInclude Include="Mat3.h" />
    <ClInclude Include="Mat4.h" />
    <ClInclude Include="MouseEvent.h" />
    <ClInclude Include="Maybe.h" />
    <ClInclude Include="Model2D.h" />
    <ClInclude Include="Model3D.h" />
    <ClInclude Include="Model3DCollection.h" />
    <ClInclude Include="Model3DList.h" />
    <ClInclude Include="ObjFile.h" />
    <ClInclude Include="Pair.h" />
    <ClInclude Include="Process.h" />
    <ClInclude Include="Point.h" />
    <ClInclude Include="Border.h" />
    <ClInclude Include="Random.h" />
    <ClInclude Include="Reader.h" />
    <ClInclude Include="Rect2.h" />
    <ClInclude Include="ReferenceCounter.h" />
    <ClInclude Include="Regex.h" />
    <ClInclude Include="Font.h" />
    <ClInclude Include="Scroll.h" />
    <ClInclude Include="Stream.h" />
    <ClInclude Include="Supplier.h" />
    <ClInclude Include="Table.h" />
    <ClInclude Include="KeyboardEvent.h" />
    <ClInclude Include="Text.h" />
    <ClInclude Include="TextField.h" />
    <ClInclude Include="Texture.h" />
    <ClInclude Include="Texture2D.h" />
    <ClInclude Include="TextureList.h" />
    <ClInclude Include="TextureModel.h" />
    <ClInclude Include="Thread.h" />
    <ClInclude Include="ToolTip.h" />
    <ClInclude Include="Tree.h" />
    <ClInclude Include="Trie.h" />
    <ClInclude Include="UIInitialization.h" />
    <ClInclude Include="UIMLView.h" />
    <ClInclude Include="Vec2.h" />
    <ClInclude Include="Vec3.h" />
    <ClInclude Include="VecN.h" />
    <ClInclude Include="World2D.h" />
    <ClInclude Include="World3D.h" />
    <ClInclude Include="Writer.h" />
    <ClInclude Include="XML.h" />
    <ClInclude Include="Drawing.h" />
    <ClInclude Include="Drawing3D.h" />
  </ItemGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <CppAdditionalWarning>switch;no-deprecated-declarations;empty-body;conversion;return-type;parentheses;no-format;uninitialized;unreachable-code;unused-function;unused-value;unused-variable;%(CppAdditionalWarning)</CppAdditionalWarning>
      <AdditionalOptions>-fPIC -Wno-unknown-pragmas</AdditionalOptions>
      <PositionIndependentCode>true</PositionIndependentCode>
      <ObjectFileName>%(filename).o</ObjectFileName>
      <CppLanguageStandard>c++23</CppLanguageStandard>
    </ClCompile>
    <Link>
      <AdditionalDependencies>$(StlAdditionalDependencies)</AdditionalDependencies>
      <LibraryDependencies>pthread;dl;%(LibraryDependencies)</LibraryDependencies>
      <GenerateMapFile>
      </GenerateMapFile>
      <Trace>false</Trace>
      <TraceSymbols>
      </TraceSymbols>
      <Relocation>true</Relocation>
      <OutputFile>$(RemoteProjectDir)/$(TargetName)$(TargetExt)</OutputFile>
      <VerboseOutput>false</VerboseOutput>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Link>
      <AdditionalDependencies>
      </AdditionalDependencies>
      <LibraryDependencies>pthread;dl;%(LibraryDependencies)</LibraryDependencies>
      <OutputFile>$(RemoteProjectDir)/$(TargetName)$(TargetExt)</OutputFile>
    </Link>
    <ClCompile>
      <AdditionalOptions>-fPIC -Wno-unknown-pragmas</AdditionalOptions>
      <CppLanguageStandard>c++23</CppLanguageStandard>
      <ObjectFileName>%(filename).o</ObjectFileName>
    </ClCompile>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets" />
</Project>